aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorstefson <herrtimson@yahoo.de>2018-08-15 20:13:56 +0200
committerAnthony G. Basile <blueness@gentoo.org>2018-08-18 05:51:20 -0400
commit8a2b8a2f6cb2d594ab1802e51fd05db321baedeb (patch)
tree0150b33f85bfc5459d273487a53da37bec8f62a1 /x11-misc
parentnet-libs/libasr: fix tabs to please travis (diff)
downloadmusl-8a2b8a2f6cb2d594ab1802e51fd05db321baedeb.tar.gz
musl-8a2b8a2f6cb2d594ab1802e51fd05db321baedeb.tar.bz2
musl-8a2b8a2f6cb2d594ab1802e51fd05db321baedeb.zip
x11-misc/lightdm: revbump to 1.26.0-r1
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/lightdm/Manifest4
-rw-r--r--x11-misc/lightdm/files/lightdm-1.21.0-musl-language.patch36
-rw-r--r--x11-misc/lightdm/files/lightdm-1.21.3-use-is-utf8.patch57
-rw-r--r--x11-misc/lightdm/files/lightdm-1.26.0-musl-language.patch36
-rw-r--r--x11-misc/lightdm/lightdm-1.26.0-r1.ebuild (renamed from x11-misc/lightdm/lightdm-1.21.5.ebuild)80
-rw-r--r--x11-misc/lightdm/metadata.xml6
6 files changed, 84 insertions, 135 deletions
diff --git a/x11-misc/lightdm/Manifest b/x11-misc/lightdm/Manifest
index f372a2c..0884e21 100644
--- a/x11-misc/lightdm/Manifest
+++ b/x11-misc/lightdm/Manifest
@@ -1,2 +1,2 @@
-DIST introspection-20110205.m4.tar.bz2 1220 SHA256 4394a606d380ae5315872ede35387f104da5fad96794d29c45c444a9d481d8b2 SHA512 5c49239935b93d86cce68b577b43d1a56d8749ab5747029bfcfa67339697134be24ef29ba6c3d133b8c03e867864637c8eb61491a4b7f6bb1e56386ed66cb9be WHIRLPOOL 0765c0a72919b26d0c8c38714450eec578a347bfc1c59d4950b633b64b17aa1cde38dfb87fdcd6e2f364c98d6c0bd3dadaa9c2a9711bd1b5ac09a583b988f500
-DIST lightdm-1.21.5.tar.xz 517436 SHA256 f718dda9f14259c6d76138645cd96030b1be85375f42de9948ba05dd3adceeaa SHA512 01b902441bceb16c8498b88f4ffe59dd2bd545ff58be90f3420b8c6b2ec0ddb0b6c777ca9d52b17cfadb15e710df861a4dd81210151cd93525cdd61d4019d064 WHIRLPOOL 1b704a989d777f4536e662a05775e1cb4e0c47d64e16f454acb6a5e60105c786ef164cf4dacf717a678348efd838c8a2ac3e7b82b2713eda6da0dab812baab85
+DIST introspection-20110205.m4.tar.bz2 1220 BLAKE2B 01483c1a7b73568e01cc4d84b43c4cd946aaaac0b5fa13aa27805fa17297112bfaabb1c5a34bd83d2ecdef2033b622dbd5e63914baacb8f6edf488a7396d26d9 SHA512 5c49239935b93d86cce68b577b43d1a56d8749ab5747029bfcfa67339697134be24ef29ba6c3d133b8c03e867864637c8eb61491a4b7f6bb1e56386ed66cb9be
+DIST lightdm-1.26.0.tar.xz 516092 BLAKE2B 0bbbe11959a2ea0c21e723d10e8831fc0d9e15475a415869634cfb41c6d576b77fd87720be33dae8456063947dd1b551e88c263ed76ef9b120c43df8c42513f3 SHA512 67c0671753587493ed064b66f94be58853028287c914d1101e66499bebf1408e14d33245887ce89d1c4931960225ea3984e5e625b22dc4e3020be34a3087d8e7
diff --git a/x11-misc/lightdm/files/lightdm-1.21.0-musl-language.patch b/x11-misc/lightdm/files/lightdm-1.21.0-musl-language.patch
deleted file mode 100644
index 183a2fe..0000000
--- a/x11-misc/lightdm/files/lightdm-1.21.0-musl-language.patch
+++ /dev/null
@@ -1,36 +0,0 @@
---- a/liblightdm-gobject/language.c
-+++ b/liblightdm-gobject/language.c
-@@ -244,6 +244,7 @@
-
- if (!priv->name)
- {
-+ #if HAVE_LC_IDENTIFICATION
- gchar *locale = get_locale_name (priv->code);
- if (locale)
- {
-@@ -257,6 +258,8 @@
-
- setlocale (LC_ALL, current);
- }
-+ #endif
-+
- if (!priv->name)
- {
- gchar **tokens = g_strsplit_set (priv->code, "_.@", 2);
-@@ -287,6 +290,7 @@
-
- if (!priv->territory && strchr (priv->code, '_'))
- {
-+ #if HAVE_LC_IDENTITIFICATION
- gchar *locale = get_locale_name (priv->code);
- if (locale)
- {
-@@ -300,6 +304,8 @@
-
- setlocale (LC_ALL, current);
- }
-+ #endif
-+
- if (!priv->territory)
- {
- gchar **tokens = g_strsplit_set (priv->code, "_.@", 3);
diff --git a/x11-misc/lightdm/files/lightdm-1.21.3-use-is-utf8.patch b/x11-misc/lightdm/files/lightdm-1.21.3-use-is-utf8.patch
deleted file mode 100644
index 4cdd811..0000000
--- a/x11-misc/lightdm/files/lightdm-1.21.3-use-is-utf8.patch
+++ /dev/null
@@ -1,57 +0,0 @@
-In Debian, LightDM does not offer C.UTF-8 locale during login, see:
-
- https://bugs.debian.org/844991
-
-The code includes a function to filter UTF-8 locales, but it is not always
-used. The attached patch against trunk fixes the problem.
-
-See https://bugs.launchpad.net/lightdm/+bug/1658950
-
-diff --git a/liblightdm-gobject/language.c b/liblightdm-gobject/language.c
-index 20c3e1cd..6e3a2d52 100644
---- a/liblightdm-gobject/language.c
-+++ b/liblightdm-gobject/language.c
-@@ -57,6 +57,12 @@ G_DEFINE_TYPE (LightDMLanguage, lightdm_language, G_TYPE_OBJECT);
- static gboolean have_languages = FALSE;
- static GList *languages = NULL;
-
-+static gboolean
-+is_utf8 (const gchar *code)
-+{
-+ return g_strrstr (code, ".utf8") || g_strrstr (code, ".UTF-8");
-+}
-+
- static void
- update_languages (void)
- {
-@@ -93,7 +99,7 @@ update_languages (void)
- continue;
-
- /* Ignore the non-interesting languages */
-- if (strcmp (command, "locale -a") == 0 && !g_strrstr (code, ".utf8"))
-+ if (strcmp (command, "locale -a") == 0 && !is_utf8 (code))
- continue;
-
- language = g_object_new (LIGHTDM_TYPE_LANGUAGE, "code", code, NULL);
-@@ -109,12 +115,6 @@ update_languages (void)
- have_languages = TRUE;
- }
-
--static gboolean
--is_utf8 (const gchar *code)
--{
-- return g_strrstr (code, ".utf8") || g_strrstr (code, ".UTF-8");
--}
--
- /* Get a valid locale name that can be passed to setlocale(), so we always can use nl_langinfo() to get language and country names. */
- static gchar *
- get_locale_name (const gchar *code)
-@@ -154,7 +154,7 @@ get_locale_name (const gchar *code)
- for (i = 0; avail_locales[i]; i++)
- {
- gchar *loc = avail_locales[i];
-- if (!g_strrstr (loc, ".utf8"))
-+ if (!is_utf8 (loc))
- continue;
- if (g_str_has_prefix (loc, language))
- {
diff --git a/x11-misc/lightdm/files/lightdm-1.26.0-musl-language.patch b/x11-misc/lightdm/files/lightdm-1.26.0-musl-language.patch
new file mode 100644
index 0000000..442e7fb
--- /dev/null
+++ b/x11-misc/lightdm/files/lightdm-1.26.0-musl-language.patch
@@ -0,0 +1,36 @@
+--- a/liblightdm-gobject/language.c
++++ b/liblightdm-gobject/language.c
+@@ -210,6 +210,7 @@
+
+ if (!priv->name)
+ {
++ #if HAVE_LC_IDENTIFICATION
+ g_autofree gchar *locale = get_locale_name (priv->code);
+ if (locale)
+ {
+@@ -223,6 +224,8 @@
+
+ setlocale (LC_ALL, current);
+ }
++ #endif
++
+ if (!priv->name)
+ {
+ g_auto(GStrv) tokens = g_strsplit_set (priv->code, "_.@", 2);
+@@ -250,6 +253,7 @@
+
+ if (!priv->territory && strchr (priv->code, '_'))
+ {
++ #if HAVE_LC_IDENTITIFICATION
+ g_autofree gchar *locale = get_locale_name (priv->code);
+ if (locale)
+ {
+@@ -263,6 +267,8 @@
+
+ setlocale (LC_ALL, current);
+ }
++ #endif
++
+ if (!priv->territory)
+ {
+ g_auto(GStrv) tokens = g_strsplit_set (priv->code, "_.@", 3);
diff --git a/x11-misc/lightdm/lightdm-1.21.5.ebuild b/x11-misc/lightdm/lightdm-1.26.0-r1.ebuild
index 1bfe1b8..03d5c40 100644
--- a/x11-misc/lightdm/lightdm-1.21.5.ebuild
+++ b/x11-misc/lightdm/lightdm-1.26.0-r1.ebuild
@@ -1,55 +1,53 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit autotools eutils flag-o-matic pam qmake-utils readme.gentoo-r1 systemd versionator xdg-utils
-TRUNK_VERSION="$(get_version_component_range 1-2)"
+inherit autotools eutils flag-o-matic pam qmake-utils readme.gentoo-r1 systemd vala xdg-utils
+
DESCRIPTION="A lightweight display manager"
HOMEPAGE="https://www.freedesktop.org/wiki/Software/LightDM"
-SRC_URI="https://launchpad.net/${PN}/${TRUNK_VERSION}/${PV}/+download/${P}.tar.xz
+SRC_URI="https://github.com/CanonicalLtd/lightdm/releases/download/${PV}/${P}.tar.xz
mirror://gentoo/introspection-20110205.m4.tar.bz2"
LICENSE="GPL-3 LGPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
-IUSE="audit +gtk +introspection qt4 qt5 +gnome"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="audit +gnome +gtk +introspection qt5 vala"
-COMMON_DEPEND="audit? ( sys-process/audit )
- >=dev-libs/glib-2.32.3:2
+COMMON_DEPEND="
+ >=dev-libs/glib-2.44.0:2
dev-libs/libxml2
- gnome? ( sys-apps/accountsservice )
virtual/pam
x11-libs/libX11
>=x11-libs/libxklavier-5
+ audit? ( sys-process/audit )
+ gnome? ( sys-apps/accountsservice )
introspection? ( >=dev-libs/gobject-introspection-1 )
- qt4? (
- dev-qt/qtcore:4
- dev-qt/qtdbus:4
- dev-qt/qtgui:4
- )
qt5? (
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
- )"
+ )
+"
RDEPEND="${COMMON_DEPEND}
>=sys-auth/pambase-20101024-r2"
DEPEND="${COMMON_DEPEND}
dev-util/gtk-doc-am
dev-util/intltool
- gnome? ( gnome-base/gnome-common )
sys-devel/gettext
- virtual/pkgconfig"
+ virtual/pkgconfig
+ gnome? ( gnome-base/gnome-common )
+ vala? ( $(vala_depend) )
+"
PDEPEND="gtk? ( x11-misc/lightdm-gtk-greeter )"
DOCS=( NEWS )
RESTRICT="test"
src_prepare() {
- epatch "${FILESDIR}/${PN}-1.21.3-use-is-utf8.patch"
epatch "${FILESDIR}/${PN}-1.21.0-musl-is-linux.patch"
- epatch "${FILESDIR}/${PN}-1.21.0-musl-language.patch"
+ epatch "${FILESDIR}/${PN}-1.26.0-musl-language.patch"
epatch "${FILESDIR}/${PN}-1.21.0-musl-updwtmpx.patch"
xdg_environment_reset
@@ -63,8 +61,9 @@ src_prepare() {
data/lightdm.conf || die "Failed to fix lightdm.conf"
# use correct version of qmake. bug #566950
- sed -i -e "/AC_CHECK_TOOLS(MOC4/a AC_SUBST(MOC4,$(qt4_get_bindir)/moc)" configure.ac || die
- sed -i -e "/AC_CHECK_TOOLS(MOC5/a AC_SUBST(MOC5,$(qt5_get_bindir)/moc)" configure.ac || die
+ sed \
+ -e "/AC_CHECK_TOOLS(MOC5/a AC_SUBST(MOC5,$(qt5_get_bindir)/moc)" \
+ -i configure.ac || die
default
@@ -75,6 +74,8 @@ src_prepare() {
else
AT_M4DIR=${WORKDIR} eautoreconf
fi
+
+ use vala && vala_src_prepare
}
src_configure() {
@@ -93,17 +94,20 @@ src_configure() {
# also disable tests because libsystem.c does not build. Tests are
# restricted so it does not matter anyway.
- econf \
- --localstatedir=/var \
- --disable-static \
- --disable-tests \
- $(use_enable audit libaudit) \
- $(use_enable introspection) \
- $(use_enable qt4 liblightdm-qt) \
- $(use_enable qt5 liblightdm-qt5) \
- --with-user-session=${_session} \
- --with-greeter-session=${_greeter} \
+ local myeconfargs=(
+ --localstatedir=/var
+ --disable-static
+ --disable-tests
+ $(use_enable audit libaudit)
+ $(use_enable introspection)
+ --disable-liblightdm-qt
+ $(use_enable qt5 liblightdm-qt5)
+ $(use_enable vala)
+ --with-user-session=${_session}
+ --with-greeter-session=${_greeter}
--with-greeter-user=${_user}
+ )
+ econf "${myeconfargs[@]}"
}
src_install() {
@@ -111,8 +115,8 @@ src_install() {
# Delete apparmor profiles because they only work with Ubuntu's
# apparmor package. Bug #494426
- if [[ -d ${D}/etc/apparmor.d ]]; then
- rm -r "${D}/etc/apparmor.d" || die \
+ if [[ -d ${ED%/}/etc/apparmor.d ]]; then
+ rm -r "${ED%/}/etc/apparmor.d" || die \
"Failed to remove apparmor profiles"
fi
@@ -123,11 +127,11 @@ src_install() {
# /var/lib/lightdm-data could be useful. Bug #522228
dodir /var/lib/lightdm-data
- prune_libtool_files --all
- rm -rf "${ED}"/etc/init
+ find "${ED}" \( -name '*.a' -o -name "*.la" \) -delete || die
+ rm -rf "${ED%/}"/etc/init
# Remove existing pam file. We will build a new one. Bug #524792
- rm -rf "${ED}"/etc/pam.d/${PN}{,-greeter}
+ rm -rf "${ED%/}"/etc/pam.d/${PN}{,-greeter}
pamd_mimic system-local-login ${PN} auth account password session #372229
pamd_mimic system-local-login ${PN}-greeter auth account password session #372229
dopamd "${FILESDIR}"/${PN}-autologin #390863, #423163
@@ -136,3 +140,7 @@ src_install() {
systemd_dounit "${FILESDIR}/${PN}.service"
}
+
+pkg_postinst() {
+ systemd_reenable "${PN}.service"
+}
diff --git a/x11-misc/lightdm/metadata.xml b/x11-misc/lightdm/metadata.xml
index cb67787..1ee43b1 100644
--- a/x11-misc/lightdm/metadata.xml
+++ b/x11-misc/lightdm/metadata.xml
@@ -2,14 +2,12 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>hwoarang@gentoo.org</email>
- <name>Markos Chandras</name>
+ <email>polynomial-c@gentoo.org</email>
+ <name>Lars Wendler</name>
</maintainer>
<use>
<flag name="gtk">Pull in the gtk+ greeter</flag>
</use>
- <longdescription lang="en">
-</longdescription>
<upstream>
<remote-id type="launchpad">lightdm</remote-id>
</upstream>